//  RSMS/TAP 
//  Copyright (C) Java4Less.com
//  All rights reserved

// Sample class that illustrates the use of the 
// TapSender.sendOneMessage()

import java.io.*;
import java.util.*;

//import java.util.logging.*;
import com.java4less.util.logging.*;

import com.java4less.comm.*;
import com.java4less.sms.*;
import com.java4less.sms.tap.*;


public class TapTestOne
{

   public static void main(String[] args) 
   {

      // REPLACE HERE YOUR CONNECTION PARAMETERS
      // for modem connection : 
      // Number to dial, AT initialization command (optional), 
      // serial port, baud rate, data bits, stop its, parity.

      CommConnector connector = 
        new ModemConnector( "99999999", "", "COM99", 9600, 8, 1, 'N' );

      // REPLACE HERE MESSAGE RECIPIENT
      // Put your test phone/pager number instead of "12345678"

      SmsMessage message = 
         new SmsMessage( "12345678", "RSMS/TAP One Message Test" );

      // REPLACE HERE YOUR TAP PASSWORD (second parameter)
      // The TAP gateway company will provide it to you.
      // It's very common to be omitted, so if you don't have it
      // just leave this as it is.

      TapSender sender = new TapSender( connector, "" );

      connector.logger = Logger.getLogger("com.java4less.comm");
      //connector.logger.setLevel( 7 );
      sender.logger = Logger.getLogger("com.java4less.sms.tap");
      //sender.logger.setLevel( 7 );

      System.out.println("Trying to send: " + message);

      if ( sender.sendOneMessage( message ) )
         System.out.println("Message Accepted.");
      else {
         System.out.println("Message Could NOT be sent ! ");
         System.out.println("Reason : " + message.getStatusText() );
      }

   } // OF MAIN


} // OF CLASS
